# Testnets Overview

Testnets (from the words _test-_ and _nets-_, networks) are the way we at Phi use to test all the features our blockchain should have before launching it publicly.

In other words, they are the playground that you can use to start learning about Phi, its features and how you can use them to create your own decentralized social networks.

There are two different types of testnets: 

- Public testnets
- Local testnets

## Public testnets

Public testnets existing only one at a time, and are a preview of what the Phi mainnet will actually be.

Testnet's [validators](../validators/overview.md) are publicly known and developers from all the world can write and read transactions from them. 

Public testnets are, in short, the real playground on which you can test the integration of your app (or your validator's setup) without worrying too much about security, but being sure to always be up to date with the latest stable changes.

:::tip Joining the public testnet

If you want to know more about how to join the currently running public testnet, please refer to the [_Join the public testnet_](join-public.md) page.

:::     

## Local testnets

Local testnets exist only on the machine that is used to running it. This means that none, except you, can actually access the data you store. 

Local testnets are perfect if you want to quickly setup a Phi blockchain instance without worrying too much about setting up a public validator machine.

They also might be particularly useful to developers that do not want to write on the public net but want first to try out their app's integration locally to make sure everything works properly. 

:::tip Creating a local testnet

If you want to know more about how creating a local testnet, please refer to the [_Create a local testnet_](create-local.md) page.

::: 
